import { AnnotationVisitor } from "./AnnotationVisitor";
import { JsonObjectVisitor } from "./JsonObjectVisitor";
/**
 *
 */
export declare class PropertyVisitor implements JsonObjectVisitor {
    private _enclosedJsonObject;
    constructor(value: string | object);
    copyAsJsonObject(): object;
    copyAsJsonString(): string;
    enclosedJsonObject(): any;
    visitAnnotations(): IterableIterator<AnnotationVisitor>;
    format(): string;
    name(): string;
    type(): string;
    value(): string;
}
